  tomcat:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-tomcat
    build:
      context: ./tomcat/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./tomcat/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./tomcat/volumes/file/root/.bash_history:/root/.bash_history
      - ./tomcat/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./tomcat/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./tomcat/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.210
        aliases:
          - tomcat.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "21001:9001"
      - "21022:22"
      - "21080:8080"
    expose:
      - "9001"
      - "22"
      - "8080"
